Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles.uitest
Class SimulationPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--profiles.uitest.SimulationPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, BasicService, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class SimulationPanel
extends javax.swing.JPanel
implements BasicService

See Also:
  Serialized Form

Field Summary
`(package private) javax.swing.JCheckBoxMenuItem` | `autoUpdateItem`
`(package private) static BasicService` | `bs`
`(package private) java.util.Vector` | `devices`
`(package private) int` | `lastX`
`(package private) int` | `lastY`
`(package private) javax.swing.JPopupMenu` | `menu`
`(package private) UIDevice` | `selectedDevice`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SimulationPanel()`

Method Summary
`void` | `addDevice()`
`void` | `bcast(Device d, Message msg)` Broadcast di un messaggio.
`void` | `deliverMessage(Message msg)` Trasmette un messaggio.
`static BasicService` | `getBasicService()`
`Device` | `getDevice(java.lang.String id)` Ottiene una periferica nei pressi cercandola per nome.
`java.util.Vector` | `getDevicesInRange(Device d)` Ottiene un'elenco dei dispositivi nei paraggi di della propia perifarica.
`Device` | `getRegisteredListenerDevice()`
`void` | `getRoute()`
`(package private) UIDevice` | `getSelectedDevice(int x, int y)`
`(package private) boolean` | `isAutoUpdateOn()`
`void` | `paint(java.awt.Graphics g)`
`void` | `registerListnerDevice(Device d)` Registra un'oggetto come listener di questo servizio.
`void` | `removeDevice()`
`void` | `showDeviceProperties()`
`void` | `updateRoutingTables()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bs

    static BasicService bs

### devices

    java.util.Vector devices

### menu

    javax.swing.JPopupMenu menu

### autoUpdateItem

    javax.swing.JCheckBoxMenuItem autoUpdateItem

### selectedDevice

    UIDevice selectedDevice

### lastX

    int lastX

### lastY

    int lastY

Constructor Detail

### SimulationPanel

    public SimulationPanel()

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `javax.swing.JComponent`

### addDevice

    public void addDevice()

### removeDevice

    public void removeDevice()

### showDeviceProperties

    public void showDeviceProperties()

### getSelectedDevice

    UIDevice getSelectedDevice(int x,
                               int y)

### getDevicesInRange

    public java.util.Vector getDevicesInRange(Device d)

  Description copied from interface: `BasicService`
  Ottiene un'elenco dei dispositivi nei paraggi di della propia perifarica.

  Specified by:
    `getDevicesInRange` in interface `BasicService`
  Parameters:
    `d` - la propria periferica. Se vengono passati riferimenti ad altre periferiche, il comportamento dipende dall'implementazione.
  Returns:
    una lista di Device.

### updateRoutingTables

    public void updateRoutingTables()

### getRoute

    public void getRoute()

### getDevice

    public Device getDevice(java.lang.String id)

  Description copied from interface: `BasicService`
  Ottiene una periferica nei pressi cercandola per nome.

  Specified by:
    `getDevice` in interface `BasicService`
  Parameters:
    `id` - il nome della periferica cercata.
  Returns:
    la periferica cercata, null se non č trovato niente.

### registerListnerDevice

    public void registerListnerDevice(Device d)

  Description copied from interface: `BasicService`
  Registra un'oggetto come listener di questo servizio. L'oggetto verrā notificato di tutti i messaggi ricevuti.

  Specified by:
    `registerListnerDevice` in interface `BasicService`
  Parameters:
    `d` - il beneficiario del servizio.

### deliverMessage

    public void deliverMessage(Message msg)

  Description copied from interface: `BasicService`
  Trasmette un messaggio. Il messaggio viene trasmesso al prossimo nodo nella route del presente nel messaggio.

  Specified by:
    `deliverMessage` in interface `BasicService`
  Parameters:
    `msg` - il messaggio da trasmettere.
  See Also:
    `Message`

### isAutoUpdateOn

    boolean isAutoUpdateOn()

### getBasicService

    public static BasicService getBasicService()

### getRegisteredListenerDevice

    public Device getRegisteredListenerDevice()

  Specified by:
    `getRegisteredListenerDevice` in interface `BasicService`

### bcast

    public void bcast(Device d,
                      Message msg)

  Description copied from interface: `BasicService`
  Broadcast di un messaggio.

  Specified by:
    `bcast` in interface `BasicService`
  Parameters:
    `msg` - il messaggio.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD